CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Ubuntu:unable to install openfoam (http://www.cfd-online.com/Forums/openfoam-installation/108938-ubuntu-unable-install-openfoam.html)

zaynah04 November 5, 2012 11:19

Ubuntu:unable to install openfoam
 
Dear all,

I am new to openfoam.
I have downloaded a version from http://www.openfoam.org/download/source.php

and i have used the following instructions to install it. http://www.openfoam.org/download/ubuntu.php

but arriving at number 3. in the instructions, i get the following error messages..

Quote:

The following packages have unmet dependencies:
openfoam211 : Depends: csh but it is not installable
Depends: libopenmpi1.3 but it is not installable
Depends: libptscotch-5.1 but it is not installable
Depends: libscotch-5.1 but it is not installable
Depends: libscotch-dev but it is not installable
Depends: libopenmpi-dev but it is not installable
Depends: openmpi-bin but it is not installable
Recommends: libptscotch-dev but it is not installable
E: Unable to correct problems, you have held broken packages.
can anyone please explain to me what must i do now??

Regards

zaynah

nimasam November 5, 2012 13:13

Are you going to install a source pack or a debain pack?

zaynah04 November 5, 2012 13:39

Dear sir,

i will import mesh from gambit to openfoam and process.
I myself do not know the difference between source and debain pack.

nimasam November 5, 2012 15:01

if you have ubuntu :),
you need to go to this page
http://www.openfoam.org/download/ubuntu.php

and follow commands line by line :)
just be connected to Internet :D
it will download and install OpenFOAM by itself

zaynah04 November 5, 2012 15:34

E: Unable to locate package openfoam211
each time i get same error message..:(

nimasam November 5, 2012 15:39

could you describe what step you did one by one?

HighOrderCFD November 5, 2012 15:46

Good evening

If you downloaded from http://www.openfoam.org/download/source.php then you must follow the instructions shown in the same page (even for Ubuntu).

If you want OpenFOAM with a simpler (and faster) procedure but also without being able to modify it then you do what is described in http://www.openfoam.org/download/ubuntu.php

wyldckat November 5, 2012 17:33

Greetings to all!

@zaynah: There are at least two possibilities:
  1. Your Ubuntu machine does not have a working Internet connection.
  2. The "universe" repository might be turned off.
To determine if it's a problem with a missing Internet connection, try running this command:
Code:

ping www.openfoam.org
If it says it's unable to find it, then you don't have the Internet connection properly configured.


If you do have Internet connection, then you can try the following instructions: https://github.com/themiwi/OpenFOAM-Installer - it's a very simple script that does automatically for you the instructions shown for the Debian or RPM packages. Simply follow the instructions and you should be good to go!


Best regards,
Bruno

zaynah04 November 7, 2012 08:07

hi burno,

i have checked and i have good internet connections.

I have done as the link suggested in ur post.

but each time i use openfoam do i have to run it all first?O.o

wyldckat November 7, 2012 08:47

Hi Zay Nah,

If you followed the instructions from here: https://github.com/themiwi/OpenFOAM-Installer - then it depends on the answer you gave to this question:
Quote:

Create /etc/profile.d/openfoam.sh [Y/n]?
Best regards,
Bruno


All times are GMT -4. The time now is 07:55.